# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FieldOptions.JSType

Packages that use DescriptorProtos.FieldOptions.JSType
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FieldOptions.JSType in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FieldOptions.JSType
Modifier and Type
Method
Description
`static DescriptorProtos.FieldOptions.JSType`
DescriptorProtos.FieldOptions.JSType.`forNumber(int value)`
`DescriptorProtos.FieldOptions.JSType`
DescriptorProtos.FieldOptions.Builder.`getJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`DescriptorProtos.FieldOptions.JSType`
DescriptorProtos.FieldOptions.`getJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`DescriptorProtos.FieldOptions.JSType`
DescriptorProtos.FieldOptionsOrBuilder.`getJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`static DescriptorProtos.FieldOptions.JSType`
DescriptorProtos.FieldOptions.JSType.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FieldOptions.JSType`
DescriptorProtos.FieldOptions.JSType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.JSType`
DescriptorProtos.FieldOptions.JSType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.JSType[]`
DescriptorProtos.FieldOptions.JSType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FieldOptions.JSType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FieldOptions.JSType>`
DescriptorProtos.FieldOptions.JSType.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FieldOptions.JSType
Modifier and Type
Method
Description
`DescriptorProtos.FieldOptions.Builder`
DescriptorProtos.FieldOptions.Builder.`setJstype(DescriptorProtos.FieldOptions.JSType value)`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`